<?php

class main extends main_controller{
    function __construct(){
        $this->mod = $this->model("home_model");
    }
    
    function init(){
        //$this->_get_loged();
        $this->setCss( array("init.css") );
        $this->setJs( array( "init.js") );
        
        $datax = array();
        $datax['main'] = $this->_obtener_main();
        $datax['titulo']= "Resumen de cuenta";
        
        $rtn = $this->_identificar_host();
             
        if (!isset($_SESSION['USER']))
            $this->set_layout("login_main.php");
                    
        if (!$rtn) die();
        
        $this->render($datax);
    }
    
    
    function _obtener_main(){
        $data['fecha'] = $this->get_fecha();
        $data['modulo'] =  "";
        //$data['modulo'] = array("1","2");
        
        return $this->view("main", $data);
    }
    

}


